Bug 915620 - protobuf: Unneeded dependency on maven-doxia
Summary: protobuf: Unneeded dependency on maven-doxia
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: protobuf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Conrad Meyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 909869
TreeView+ depends on / blocked
 
Reported: 2013-02-26 08:42 UTC by Mikolaj Izdebski
Modified: 2013-03-08 00:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-07 23:56:55 UTC
Type: ---


Attachments (Terms of Use)

Description Mikolaj Izdebski 2013-02-26 08:42:20 UTC
Description of problem:
protobuf has unneeded Require and/or BuildRequires on maven-doxia.
Packagers should revisit an explicit dependency as appropriate
to avoid it becoming inaccurate and superfluous.

Package protobuf has the following BuildRequires related to maven-doxia:

BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools

We believe that the above build-requires are superflous and
therefore should be removed.

Version-Release number of selected component (if applicable):
2.4.1-11

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines

Comment 1 Conrad Meyer 2013-02-26 09:03:27 UTC
Kicked off scratch-build without maven-doxia{,-sitetools} here: http://koji.fedoraproject.org/koji/taskinfo?taskID=5056502

Comment 3 Fedora Update System 2013-02-26 10:10:27 UTC
protobuf-2.4.1-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/protobuf-2.4.1-12.fc17

Comment 4 Fedora Update System 2013-02-26 10:10:38 UTC
protobuf-2.4.1-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/protobuf-2.4.1-12.fc18

Comment 5 Fedora Update System 2013-02-27 02:41:44 UTC
Package protobuf-2.4.1-12.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing protobuf-2.4.1-12.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3132/protobuf-2.4.1-12.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-03-07 23:56:57 UTC
protobuf-2.4.1-12.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-03-08 00:03:19 UTC
protobuf-2.4.1-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.